# List URL paths

post ` https://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name/listPaths`

ListPaths returns the set of valid streaming paths for a given Streaming Locator. A distinct set of paths is returned for each type of DRM configured, per the 'EnabledProtocols' property of the streaming policy.

RBAC Capability Required: `ams.streaminglocator.create`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** (string, Required)
- **locator_name** (string, Required)

## Request

This endpoint expects an object.

- **urlStyle** (enum, Optional) : Defaults to AMS. The style of URL associated to the streaming endpoint. Default is 'AMS'.  
  Allowed values: AMS, Aquila, Unified

## Response

- **200 Streaming locator paths returned.**
  - **downloadPaths** (list of strings, Required): The download paths for the locator.
  - **drm** (map from strings to object [StreamingLocatorDrm](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatordrm), Required): The license acquisition URLs for configured DRM types.
    - **certificateUrl** (string, Optional): The URL for obtaining the streaming certificate.
    - **licenseAcquisitionUrl** (string, Required): The license acquisition URL for the DRM.
  - **streamingPaths** (list of objects [StreamingLocatorListPathsStreamingPaths](https://docs.mediakind.com/api-reference/media-api/schemas/streaminglocatorlistpathsstreamingpaths), Required): The streaming paths for the locator.
    - **encryptionScheme** (enum, Required): The encryption scheme used for the path.  
      Allowed values: NoEncryption, EnvelopeEncryption, CommonEncryptionCenc, CommonEncryptionCbcs
    - **paths** (list of strings, Required): The paths for the locator.
    - **streamingProtocol** (enum, Required): The streaming protocol used for the path.  
      Allowed values: Hls, Dash, Download, SmoothStreaming

## Errors

- **400 Bad Request**  
  - **error** (object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail), Required): Pertinent information about the error.
    - **code** (string, Required): The error code.
    - **detail** (string, Required): The error message.
    - **extraDetail** (map from strings to any, Optional): Extra information regarding this error.
    - **ref** (string, Required): A reference to the request that caused the error.
    - **status** (integer, Required): The HTTP status code.

- **401 Unauthorized**
  - Same structure as above.

- **403 Forbidden**
  - Same structure as above.

- **404 Not Found**
  - Same structure as above.

- **429 Too Many Requests**
  - Same structure as above.

- **500 Internal Server Error**
  - Same structure as above.
